Bug Hunting Session
Bug 127695 - CRASH: Inserting textbox in a particular document
Summary: CRASH: Inserting textbox in a particular document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.1.2 release
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.3 target:6.2.8
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-09-22 08:40 UTC by Gaetan
Modified: 2019-09-24 12:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SdrObjList::GetObj(unsigned int)"]


Attachments
crash report (109.50 KB, application/octet-stream)
2019-09-22 08:42 UTC, Gaetan
Details
Old doc (1.10 MB, application/vnd.oasis.opendocument.text)
2019-09-22 11:43 UTC, Gaetan
Details
gdb bt (13.02 KB, text/plain)
2019-09-22 11:53 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan 2019-09-22 08:40:39 UTC
Description:
J'ai créé un document dans une version précédente de LO Writer.
J'ai téléchargé la 6.3.1 et ai ouvert mon document pour y insérer un cadre de texte. Quand je relâche le bouton de la souris, LO Writer se ferme.
J'ai essayé 2 fois, en vain.
J'ai désinstallé la version 6.31 pour installer la 6.2.7 et cela fait la même chose à 3 reprises.


Steps to Reproduce:
1.ouvrir un document créé avec une ancienne version
2.insérer un cadre de texte
3.

Actual Results:
LO se ferme

Expected Results:
Un cadre de texte vide apparaît


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Je viens de réinstaller Windows 10 1903 sur une disque dur SSD neuf.
Aucun profil persistent de LO.
Comment 1 Gaetan 2019-09-22 08:42:38 UTC
Created attachment 154363 [details]
crash report
Comment 2 Gaetan 2019-09-22 08:44:20 UTC
En ouvrant directement LO avec une page vide, la création de cadre de texte fonctionne.
Comment 3 Julien Nabet 2019-09-22 09:06:00 UTC
Would it be possible you attach the old doc?
Have in mind to remove any private/confidential part from it.
Comment 4 Gaetan 2019-09-22 11:43:03 UTC
Created attachment 154364 [details]
Old doc
Comment 5 Gaetan 2019-09-22 11:43:43 UTC
No problem with Version: 6.0.7.3
Comment 6 Julien Nabet 2019-09-22 11:49:15 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce the crash with Text Frame but with Text Zone.
Comment 7 Julien Nabet 2019-09-22 11:53:39 UTC
Created attachment 154365 [details]
gdb bt

I attached bt + gdb session when getting the crash with Text zone.
Comment 8 Xisco Faulí 2019-09-23 11:21:44 UTC
I can reproduce it in

Versión: 6.3.1.2 (x86)
Id. de compilación: b79626edf0065ac373bd1df5c28bd630b4424273
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

Steps:
1. Open 'Old doc' file
2. Insert a text box
Comment 9 Xisco Faulí 2019-09-23 11:22:46 UTC
Also reproduced in

Version: 6.4.0.0.alpha0+
Build ID: ea4f3099d6e0cf30d80caa8b2121c7a358f80fdd
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 Xisco Faulí 2019-09-23 11:29:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=193996728c842a4a36f678d5bf34a775e3c30636

author	Caolán McNamara <caolanm@redhat.com>	2019-04-22 19:10:58 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-22 21:11:49 +0200
commit	193996728c842a4a36f678d5bf34a775e3c30636 (patch)
tree	73494f81b7a15bb1034c09886fc76e25bc2eab7c
parent	cd4d6187a24119cb4954ec10539902c2aa120c0f (diff)
Resolves: tdf#122487 take groups into account

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 11 Caolán McNamara 2019-09-23 15:53:36 UTC
Fixed in master with https://cgit.freedesktop.org/libreoffice/core/commit/?id=b02f8f3f9feae18db17312eafc8b496079a5872f backport to 6-3 in gerrit
Comment 12 Julien Nabet 2019-09-23 19:28:53 UTC
With master sources updated today, I don't reproduce this.
I just noticed this on console:
warn:vcl.gdi:27589:27589:vcl/headless/svpgdi.cxx:129: unsupported SvpSalGraphics::blendAlphaBitmap case
warn:legacy.tools:27589:27589:sfx2/source/control/statcach.cxx:387: setting state of dirty message
warn:legacy.osl:27589:27589:svx/source/svdraw/svdmrkv1.cxx:314: SdrMarkView::UndirtyMrkPnt(): Selected points on an object that is not a PolyObj!

but I suppose nothing new here

Thank you for the fix!
Comment 13 Julien Nabet 2019-09-23 19:35:08 UTC
Gaetan: je ne savais pas qu'on pouvait "syndrome du tunnel carpien", je ne connaissais que "syndrome du canal carpien". Mais effectivement, le 1er est plus proche de l'anglais ("carpal tunnel syndrome") :-)
Comment 14 Commit Notification 2019-09-24 07:31:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/e6c07d2018d0b6be7492664fa22f70461b1422b8

Resolves: tdf#127695 IsGroupObject == true doesn't mean its a SdrObjGroup

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-09-24 12:02:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/commit/c72549d92c34e72ec9741ec6bfd137e8eec05a7b

Resolves: tdf#127695 IsGroupObject == true doesn't mean its a SdrObjGroup

It will be available in 6.2.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.